
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Nginx简介与源码编译安装 / 憋错料</title>

    <meta name="description" content="Nginx简介与源码编译安装 1.Nginx简介 Nginx官方站点:http://nginx.orgNginx官方文档:http://nginx.org/en/docs Nginx是一款免费,开源,轻量级高性能的网站服务器(http server)和反向代理(reverse proxy)服务器程序,能够反向代理http协议和mail协议. Nginx原作者于2002年开发nginx,正式第一版于2004年发布,至今nginx已经在web server占据了很大的市场份额如图(可以在http://news.netcraft.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Nginx简介与源码编译安装</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>1.Nginx简介</strong></p>
<p>Nginx官方站点：<a href="http://nginx.org" rel="external nofollow noreferrer">http://nginx.org</a>Nginx官方文档：<a href="http://nginx.org/en/docs" rel="external nofollow noreferrer">http://nginx.org/en/docs</a></p>
<p>Nginx是一款免费，开源，轻量级高性能的网站服务器（http&nbsp;server）和反向代理（reverse&nbsp;proxy）服务器程序，能够反向代理http协议和mail协议。</p>
<p>Nginx原作者于2002年开发nginx，正式第一版于2004年发布，至今nginx已经在web&nbsp;server占据了很大的市场份额如图（可以在<a href="http://news.netcraft.com/archives/category/web-server-survey/" rel="external nofollow noreferrer">http://news.netcraft.com/archives/category/web-server-survey/</a>查看到）：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNTcvOTIvd0tpb0wxU2VpNVNBSVNHekFBSzBoYmpBa3RvMzcxLmpwZw==.jpg" /></p>
<p>从这张图可以看出nginx已经在web&nbsp;server中排名第三了，并且自从nginx出来以后市场份额一直有增无减，这是最新发布的统计数据2014年12月18日发布的。</p>
<p>Nginx与Apache的异同：它们都为http服务软件，都采用模块化设计结构并且都支持动态语言（php、python、perl）等，同时都支持正反向代理、虚拟主机、URL重写、压缩资源、SSL加密等功能，最大差别是apache的处理速度慢并且占用很多系统内存资源，</p>
<p>2.Nginx的安装与配置（编译安装）</p>
<p>首先下载Nginx源码包到本地并且解压</p>
<table>
<tbody>
<tr>
<td>
<br />wget&nbsp;<a href="http://nginx.org/download/nginx-1.6.2.tar.gz" rel="external nofollow noreferrer">http://nginx.org/download/nginx-1.6.2.tar.gz</a>&nbsp; &nbsp;&nbsp;&nbsp;&amp;&amp; tar xf nginx-1.6.2.tar.gz</p>
</td>
</tr>
</tbody>
</table>
<p>使用./configure --help查看帮助</p>
<table>
<tbody>
<tr>
<td>./configure --help 或者安装一个第三方软件包（bash-completion）手动编译时可以快速查看支持的参数</td>
</tr>
</tbody>
</table>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaTIudGlldHVrdS5jb20vZWYyZDM3NDU0MWNkZDk0OS5wbmc=.jpg" /></p>
<p>可以从图中看出来nginx1.6.2可使用的参数有100种，介绍下将nginx作为http服务器的常用参数吧</p>
<p>--conf-path&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;设置nginx的配置文件所在的路径需要指明配置文件的文件名（默认为安装目录下的conf/nginx.conf）</p>
<p>--error-log-path&nbsp;&nbsp;&nbsp;&nbsp;设置nginx的错误日志文件所在的路径需要指明日志文件的文件名(默认为安装目录下的logs/error.log)</p>
<p>--group&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 设置nginx运行时以什么组来运行worker进程(默认为nobody组)</p>
<p>--user&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;设置nginx运行时以什么用户来运行worker进程(默认为nobody用户)</p>
<p>--prefix&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 指明nginx的安装所在路径</p>
<p>--sbin-path&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;指明nginx的sbin目录所在的目录（默认为安装目录下sbin/nginx）</p>
<p>--pid-path&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 指明nginx的pid文件所在的路径需要指明pid文件名(默认为安装目录下的logs/nginx.pid)</p>
<p>--lock-path&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;指明nginx的lock文件所在的路径</p>
<p>--http-log-path&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 指明nginx的访问文件所在路径(默认为安装目录下的log/access.log)</p>
<p>--with-http_gzip_static_module&nbsp; &nbsp; &nbsp; 启用gzip压缩模块</p>
<p>--with-http_ssl_mdule&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;启用ssl模块</p>
<table>
<tbody>
<tr>
<td>
<br />./configure --prefix=/usr/local/nginx \</p>
<p>--conf-path=/usr/local/nginx/conf/nginx.conf \</p>
<p>--http-log-path=/usr/local/nginx/logs/access.log \</p>
<p>--user=nginx \</p>
<p>--group=nginx \</p>
<p>--error-log-path=/usr/local/nginx/logs/error.log \</p>
<p>--pid-path=/usr/local/nginx/var/nginx.pid \</p>
<p>--lock-path=/usr/local/nginx/var/nginx.lock \</p>
<p>--with-http_gzip_static_module \</p>
<p>--with-http_ssl_module</p>
</td>
</tr>
</tbody>
</table>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaTIudGlldHVrdS5jb20vOTA0N2E0MTMwNjMzMTk4Ny5wbmc=.jpg" /></p>
<p>确定没有任何错误后使用make &amp;&amp; make install 安装</p>
<p>3.添加服务启动脚本</p>
<p>将如下脚本添加至/etc/rc.d/init.d/nginx目录下,然后使用chmod u+x /etc/rc.d/init.d/nginx 将nginx添加至系统服务chkconfig --add nginx如果需要开机启动则可以输入chkconfig nginx on即可</p>
<table>
<tbody>
<tr>
<td>
<br />#!/bin/sh</p>
<p>#</p>
<p># nginx - this script starts and stops the nginx daemon</p>
<p>#</p>
<p># chkconfig: &nbsp; - 85 15</p>
<p># description: &nbsp;Nginx is an HTTP(S) server, HTTP(S) reverse \</p>
<p># &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; proxy and IMAP/POP3 proxy server</p>
<p># processname: nginx</p>
<p># config: &nbsp; &nbsp; &nbsp;/etc/nginx/nginx.conf</p>
<p># config: &nbsp; &nbsp; &nbsp;/etc/sysconfig/nginx</p>
<p># pidfile: &nbsp; &nbsp; /var/run/nginx.pid</p>
<p># Source function library.</p>
<p>. /etc/rc.d/init.d/functions</p>
<p># Source networking configuration.</p>
<p>. /etc/sysconfig/network</p>
<p># Check that networking is up.</p>
<p>[ "$NETWORKING" = "no" ] &amp;&amp; exit 0</p>
<p>nginx="/usr/local/nginx/sbin/nginx"</p>
<p>prog=$(basename $nginx)</p>
<p>NGINX_CONF_FILE="/usr/local/nginx/conf/nginx.conf"</p>
<p>lockfile=/usr/local/nginx/var/nginx.lock</p>
<p>make_dirs() {</p>
<p># make required directories</p>
<p>user=`nginx -V 2&gt;&amp;1 | grep "configure arguments:" | sed ‘s/[^*]*--user=\([^ ]*\).*/\1/g‘ -`</p>
<p>options=`$nginx -V 2&gt;&amp;1 | grep ‘configure arguments:‘`</p>
<p>for opt in $options; do</p>
<p>if [ `echo $opt | grep ‘.*-temp-path‘` ]; then</p>
<p>value=`echo $opt | cut -d "=" -f 2`</p>
<p>if [ ! -d "$value" ]; then</p>
<p># echo "creating" $value</p>
<p>mkdir -p $value &amp;&amp; chown -R $user $value</p>
<p>fi</p>
<p>fi</p>
<p>done</p>
<p>}</p>
<p>start() {</p>
<p>[ -x $nginx ] || exit 5</p>
<p>[ -f $NGINX_CONF_FILE ] || exit 6</p>
<p>make_dirs</p>
<p>echo -n $"Starting $prog: "</p>
<p>daemon $nginx -c $NGINX_CONF_FILE</p>
<p>retval=$?</p>
<p>echo</p>
<p>[ $retval -eq 0 ] &amp;&amp; touch $lockfile</p>
<p>return $retval</p>
<p>}</p>
<p>stop() {</p>
<p>echo -n $"Stopping $prog: "</p>
<p>killproc $prog -QUIT</p>
<p>retval=$?</p>
<p>echo</p>
<p>[ $retval -eq 0 ] &amp;&amp; rm -f $lockfile</p>
<p>return $retval</p>
<p>}</p>
<p>restart() {</p>
<p>configtest || return $?</p>
<p>stop</p>
<p>sleep 1</p>
<p>start</p>
<p>}</p>
<p>reload() {</p>
<p>configtest || return $?</p>
<p>echo -n $"Reloading $prog: "</p>
<p>killproc $nginx -HUP</p>
<p>RETVAL=$?</p>
<p>echo</p>
<p>}</p>
<p>force_reload() {</p>
<p>restart</p>
<p>}</p>
<p>configtest() {</p>
<p>$nginx -t -c $NGINX_CONF_FILE</p>
<p>}</p>
<p>rh_status() {</p>
<p>status $prog</p>
<p>}</p>
<p>rh_status_q() {</p>
<p>rh_status &gt;/dev/null 2&gt;&amp;1</p>
<p>}</p>
<p>case "$1" in</p>
<p>start)</p>
<p>rh_status_q &amp;&amp; exit 0</p>
<p>$1</p>
<p>;;</p>
<p>stop)</p>
<p>rh_status_q || exit 0</p>
<p>$1</p>
<p>;;</p>
<p>restart|configtest)</p>
<p>$1</p>
<p>;;</p>
<p>reload)</p>
<p>rh_status_q || exit 7</p>
<p>$1</p>
<p>;;</p>
<p>force-reload)</p>
<p>force_reload</p>
<p>;;</p>
<p>status)</p>
<p>rh_status</p>
<p>;;</p>
<p>condrestart|try-restart)</p>
<p>rh_status_q || exit 0</p>
<p>;;</p>
<p>*)</p>
<p>echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload|configtest}"</p>
<p>exit 2</p>
<p>esac</p>
</td>
</tr>
</tbody>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 06:58:31 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/nginx/" title="nginx">nginx</a>, <a href="https://www.biecuoliao.com/tag/%e7%bc%96%e8%af%91/" title="编译">编译</a>, <a href="https://www.biecuoliao.com/tag/%e6%9c%8d%e5%8a%a1%e5%90%af%e5%8a%a8%e8%84%9a%e6%9c%ac/" title="服务启动脚本">服务启动脚本</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Nginx简介与源码编译安装的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyeqQpM.html" rel="bookmark">Centos7通过yum跟源码编译安装Nginx</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				源码编译安装 http://nginx.org/en/download.html 到官网下载,然后用XFTP上传到root目录 把文件解压出来 tar -zxvf nginx-1.16.0.tar.gz 然后用yum安装依赖项 yum install gcc pcre-devel zlib-devel 如果没装以上相关的依赖,会在./configure过程中出现各种错误 下图是没装gcc包的错误,我看网上要装gcc-c++,但我发现我只安装gcc也没问题 下图是没装pcre-devel出现的错误			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/g41ARk4.html" rel="bookmark">详解LAMP源码编译安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实战:LAMP源码编译安装 家住海边喜欢浪:zhang789.blog.51cto.com 目录 详解LAMP源码编译安装 LAMP简介 一.准备工作 二.编译安装 Apache 三.编译安装 MySQL 四.编译安装 PHP 测试LAMP搭建开源数据web管理程序phpMyadmin 详解LAMP源码编译安装 LAMP简介 LAMP是当下非常流行的一套Web架构,我们可以在GNU/Linux下通过其他人打包的程序包来进行安装; 但是在生产环境中,很多时候都需要我们自己定制安装AMP,编译安装L			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02yZZnM.html" rel="bookmark">yum方式软件管理及进阶源码编译安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. yum简介2. yum组成结构3. yum配置使用4. yum命令详解5. yum源变量6. yum仓库创建7.进阶源码编译安装 1. yum简介YUM: Yellowdog Updater Modifed, 是由Duke University团队修改Yellow Dog Linux的Yellow Dog Updater开发而来的,是一个基于RPM包管理器的字符前端软件管理器(依赖于RPM包).能够从指定的服务器自动下载RPM包并且安装,可以处理RPM包的依赖关系,并且一次安装所有依赖的软			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/V02ZkD0.html" rel="bookmark">马哥linux学习笔记：源码编译安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于rpm包在作者制作封装的时候已经把程序的一些特性固定了,如果我们根据自己的需求,需要运用程序的一些没有普适性相关特性,就需要下载程序的源码手动编译安装了,这里只是简单的介绍一下C代码的程序包编译安装方法. 为了能更直观的看到源码编译安装的过程,我演示一下在centos7.2环境中编译安装httpd2.2: 首先,编译的前提是得有称手的工具及环境了,编译c源代码就需要用到开发工具,make,gcc了,环境就需要开发库跟头文件了,如果系统中没有这些,就需要yum安装了. 这里我运行yum gro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xQR9k3.html" rel="bookmark">centos 6&period;5源码编译安装subversion 1&period;8&period;10</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简介 CentOS 6.5的yum源可以安装的SVN客户端版本太低了,1.6.11,所以需要升级到1.8.10,而官网有没有找到1.8.10的安装包,只能选择源码编译安装. 二.安装步骤 参考官网:http://svn.apache.org/repos/asf/subversion/trunk/INSTALL 源码下载:http://archive.apache.org/dist/subversion/ 源码编译subversion依赖许多别的工具,比如:apr.apr-util.libto			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xrpvL4.html" rel="bookmark">CentOS 7上源码编译安装和配置LNMP Web&plus;phpMyAdmin服务器环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是LNMP? LNMP(别名LEMP)是指由Linux, Nginx, MySQL/MariaDB, PHP/Perl/Python组合成的动态Web应用程序和服务器,它是一组Web应用程序的基础软件包,在这个基础环境上我们可以搭建任何使用PHP/Perl/Python等语言的动态网站,如商务网站.博客.论坛和开源Web应用程序软件等,它是互联网上被广泛使用的Web网站架构之一. 部署方式 从网站规模大小(访问流量.注册用户等)角度来看,LNMP架构可以使用单机部署方式和集群部署方式.单机部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JYAXb3.html" rel="bookmark">源码编译安装lnmp环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.源码编译安装步骤 首先说明源码安装的好处   速度快,可自定义路径 主要有三步:1.配置 进入源码安装包  ./configure --prefix=/uer/local/nginx  可指定参数--prefix为安装路径2.编译 相当于rpm包  make3.安装 make install 如果安装出错,先清楚一下 make clean,然后重新配置编译安装 二.安装nginx 1.安装可能需要的依赖环境, yum -y install libxml2-devel gd-devel lib			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MV7WJp0.html" rel="bookmark">CentOS 6&period;6 下源码编译安装MySQL 5&period;7&period;5</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				版权声明:转自:http://www.linuxidc.com/Linux/2015-08/121667.htm 说明:CentOS 6.6 下源码编译安装MySQL 5.7.5 1. 安装相关工具# yum -y install gcc-c++ ncurses-devel cmake make perl \ gcc autoconf automake zlib libxml libgcrypt libtool bison2. 清理环境检查boost版本: # rpm -qa boost*卸载b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nL2zN4.html" rel="bookmark">Linux软件包管理之源码编译安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境 OS:CentOS 6.5 64位示例软件:nginx  从源代码出发 在Linux环境中,大多数的软件都是用c/c++开发的,这两种语言开发的软件编译安装没有任何区别,我们现在先来看看一款Linux环境中的软件源码组成结构. [[email protected] nginx-1.6.1]# lsauto  CHANGES  CHANGES.ru  conf  configure  contrib  html  LICENSE  man  README  src 在我们解压每一个软件包后,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41K1g0.html" rel="bookmark" class="title">&lbrack;转&rsqb;HotSpot VM GC 的种类</a>
					<div>
						原文地址:http://www.cnblogs.com/redcreen/archive/2011/05/04/2037029.html collector种类 GC在 HotSpot VM 5.0里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dg8VrM.html" rel="bookmark" class="title">Geopainting&period;GPSMapEdit&period;v2&period;1&period;78&period;8&plus;Luxand&period;FaceSDK&period;v6&period;1&period;0 人脸识别</a>
					<div>
						GlobalCAD.Organizer.2016.v1.2 GlobalCAD.Symbols.Pack.1.2.3.4.v2016.v1.2 GlobalCAD.Terrain.2016.v1.2  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NAARG3.html" rel="bookmark" class="title">mediascanner流程</a>
					<div>
						在MediaScanner.java文件的MediaScanner类前面有如下对扫描过程的说明.原文和翻译如下: 1.原文 Internal service helper that no-one sh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQ12k4.html" rel="bookmark" class="title">ThinkPHP 自定义标签</a>
					<div>
						\TagLib\TagLibTaoWan.class.php 标签存放目录以及命名规则! config.php 设置!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JYWy93.html" rel="bookmark" class="title">Netlink 内核实现分析（二）：通信</a>
					<div>
						在前一篇博文&lt;Netlink 内核实现分析(一):创建&gt;中已经较为具体的分析了Linux内核netlink子系统的初始化流程.内核netlink套接字的创建.应用层netlink套接字的创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZmwzM.html" rel="bookmark" class="title">配置apache支持php</a>
					<div>
						配置apache 支持php 第一步: 装在php模块-其实就是php语言包中的一个文件而已,需要给出php5apache2_2.dll的完整路径. LoadModule php5_module &q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgN6Np4.html" rel="bookmark" class="title">chrome 上有用的插件</a>
					<div>
						1 管理网络代理 SwitchySharp 是 Google Chrome 浏览器上的一个代理管理扩展程序,目前最好用的代理程序. 2					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NjknZ4.html" rel="bookmark" class="title">数组概意</a>
					<div>
						所谓数组,就是相同数据类型的元素按一定顺序排列的集合,就是把有限个类型相同的变量用一个名字命名,然后用编号区分他们的变量的集合,这个名字称为数组名,编号称为下标.组成数组的各个变量称为数组的分量,也称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9neL4.html" rel="bookmark" class="title">算法题&colon;二分查找的溢出考虑</a>
					<div>
						#include &lt;iostream&gt; using namespace std; int find_val(int a[],int n,int val) { int low = 0; in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVqBnp4.html" rel="bookmark" class="title">SCCM2012 设备&bsol;用户集合，如何以OU来分组</a>
					<div>
						一.在sccm控制台的设备集合,选择创建设备集合 二.输入你的集合名称,限制集合选择所有移动设备 三.下一步后,点击添加规则选择中查询规则 四.根据图示编号点击和图示红框的内容进行选择,然后确认返回  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nRElN0.html" rel="bookmark" class="title">HTML5&lowbar;02之视频、音频、Canvas</a>
					<div>
						1.HTML5新特性之视频播放--video: ①例:&lt;video src=&quot;&quot;&gt;&lt;/video&gt; ②video标签默认为300*150的inline-bl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K8Zrw3.html" rel="bookmark" class="title">libevent学习八（evbuffer）</a>
					<div>
						1.evbuffer以队列的形式管理字节,从尾部添加,从头部取出(FIFO) 2.evbuffer内部存储形式是多个独立的连续内存 接口 //创建和删除 struct evbuffer *evbuff ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDNnG83.html" rel="bookmark" class="title">（状压） Marriage Ceremonies （lightOJ 1011）</a>
					<div>
						http://www.lightoj.com/volume_showproblem.php?problem=1011 You work in a company which organizes mar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vBXqk3.html" rel="bookmark" class="title">二进制 八进制 十进制 十六进制之间的转换</a>
					<div>
						一. 十进制与二进制之间的转换 (1)十进制转换为二进制,分为整数部分和小数部分 ① 整数部分 方法:除2取余法,即每次将整数部分除以2,余数为该位权上的数,而商继续除以2,余数又为上一个位权上的数, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZ8rw3.html" rel="bookmark" class="title">不能在DropDownList 中选择多个项</a>
					<div>
						在绑定DropDownList时如果出现多次绑定,会出错以下错误: “不能在DropDownList 中选择多个项” 经了解,只需要在选中值是清空选择即可:xxDropDownList.ClearSe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vAGr90.html" rel="bookmark" class="title">转载 Servlet3&period;0中使用注解配置Servle</a>
					<div>
						转载地址:http://www.108js.com/article/article10/a0021.html?id=1496 开发Servlet3的程序需要一定的环境支持.Servlet3是Java  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyNAwm0.html" rel="bookmark" class="title">Android 程序目录介绍</a>
					<div>
						还是回到 Eclipse 中,首先展开 HelloWorld 项目,你会看到如图 1.17 所示的目录结构. 图   1.17 一开始看到这么多陌生的东西,你一定会感到有点头晕吧.别担心,我现在就对上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K7Qxr0.html" rel="bookmark" class="title">JQuery-遮罩层</a>
					<div>
						HTML &lt;html&gt; &lt;head&gt; &lt;link href=&quot;StyleSheet.css&quot; rel=&quot;stylesheet&quot; t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZewXD0.html" rel="bookmark" class="title">Apache搭建http协议版本库</a>
					<div>
						1.Apache安装程序 软件包:apache_2.2.14-win32-x86-no_ssl.msi 路径:\\10.202.101.23\10.Utility\01.Development\01. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGYNVQ3.html" rel="bookmark" class="title">32种谷歌浏览器插件，程序员的福音</a>
					<div>
						32种谷歌浏览器插件,程序员的福音 对于网页设计人员或网站开发者来说,更喜欢使用像FF的此类浏览器,原因是其具有强大的辅助插件,可以帮助网页制作与开发提高效率,那么同样对于Google Cchrome ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
